./devel/p5-Devel-Pragma, Perl5 helper functions for developers of lexical pragmas

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.1.0nb2, Package name: p5-Devel-Pragma-1.1.0nb2, Maintainer: pkgsrc-users

This module provides helper functions for developers of lexical pragmas.
These can be used both in older versions of perl (from 5.8.1), which have
limited support for lexical pragmas, and in the most recent versions,
which have improved support.


Required to run:
[lang/perl5] [devel/p5-B-Hooks-OP-Check] [devel/p5-B-Hooks-EndOfScope] [devel/p5-B-Hooks-OP-Annotation]

Required to build:
[devel/p5-ExtUtils-Depends] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 05016dc4b3c98a1c98243a1d50e8d910523be423
RMD160: 1f2434e0077c197c04985ffdbb6a2ac884d4e55f
Filesize: 57.151 KB

Version history: (Expand)


CVS history: (Expand)


   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-07-15 15:05:43 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 1.1.0

Upstream changes:
1.1.0 Fri 1 Jul 14:20:06 2016
    - overhaul ccstash
        - simplify the tests
        - improve the documentation
        - return undef if called outside of a require
    - remove the do FILE tests from hints.t since
      Lexical::SealRequireHints doesn't support it (RT#85101)

1.0.1 Tue 28 Jun 10:09:48 2016
    - META.yml: add the bugtracker link
    - META.yml: fix the version

1.0.0 Tue 28 Jun 09:15:13 2016
    - remove on_require
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2016-04-10 04:20:52 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update to devel/p5-devel-Pragram-0.62
-------------------------------------
0.62  Mon 26 Oct 12:13:17 2015
    - update ppport.h
    - update copyright year

0.61  Mon 26 Oct 11:33:19 2015
    - specify minimum perl version (thanks Lisa Hare)
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-01-29 06:24:50 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update 0.54 to 0.60
-------------------
0.60  Sun Oct 20 12:24:09 2013
    - use Lexical::SealRequireHints to fix %^H bugs
    - rename my_hints -> hints (my_hints is still supported, but deprecated)
    - update ppport.h from 3.19 to 3.20
    - code cleanup